.feature-row {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -16px -32px -16px;
}

.feature-col {
    width: 25%;
    padding: 0 16px;
    margin-bottom: 32px;
}

.feature-card {
    background: #fff;
    border-radius: 30px;
    padding: 21px 16.5px;
    text-align: center;
    height: 100%;
    box-shadow: 0px 2px 16px 0px #0000000F;
    transition: all 0.5s ease;
}

.feature-card h4 {
    color: #000;
}

.feature-icon {
    width: 60px;
    height: 60px;
    margin: 0 auto 20px;
    padding: 15px;
    border-radius: 50%;
    background: #F7F5F0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.feature-card p {
    font-family: 'Poppins';
    font-weight: 400;
    font-size: 13px;
    line-height: 24px;
    text-align: center;
    color: var(--gray);
}

.feature-card:hover {
    transform: translateY(-5px);
}

@media (max-width: 1024px) {
    .feature-col {
        width: 33.33%;
    }
}

@media (max-width: 991px) {
    .feature-col {
        width: 50%;
    }
    .feature-row {
        margin: 0 -12px -24px -12px;
    }
    .feature-col {
        padding: 0 12px;
        margin-bottom: 24px;
    }
    .feature-card {
        border-radius: 15px;
    }
}

@media (max-width: 767px) {
    .feature-card {
        border-radius: 10px;
    }
    .feature-icon {
        width: 50px;
        height: 50px;
        margin: 0 auto 10px;
        padding: 12px;
    }
}

@media (max-width: 575px) {
    .feature-col {
        width: 100%;
    }
    .feature-row {
        margin: 0;
    }
    .feature-col {
        padding: 0;
        margin-bottom: 15px;
    }
    .feature-col:last-child {
        margin-bottom: 0;
    }
}